#include "Logger.h"

#include <Windows.h>

bool foo(bool param) {
	if (param) { // true
		return true;
	}
	else { // false
		std::cout << "Bool Error\n";
		return false;
	}
}

int foo2(HRESULT hr) {
	if (hr) { // error
		std::cout << "HR Error\n";
		return hr;
	}
	else { // OK
		return hr;
	}
}

int main() {
	Log_Open("pl.txt");

	Error(foo(false));

	Error(foo(true));

	Error(foo2(DISP_E_DIVBYZERO));

	Error(foo2(S_OK));

	Log_Close();
}